php-codesniffer (2.5.1-1) unstable; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.5.1 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Wed, 10 Feb 2016 20:07:05 -0400

php-codesniffer (2.5.0-1) unstable; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.5.0 release

  [ John Maguire ]
  * Add bootstrap file option

  [ David Prévot ]
  * Update manpages

 -- David Prévot <taffit@debian.org>  Sun, 13 Dec 2015 11:18:33 -0400

php-codesniffer (2.4.0-1) unstable; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.4.0 release

  [ David Prévot ]
  * Update phpcs.1
  * Use installed class for DEP-8 tests
  * Remove Thomas from uploaders following his request at last DebConf
  * Use default gbp layout

 -- David Prévot <taffit@debian.org>  Wed, 25 Nov 2015 12:04:18 -0400

php-codesniffer (2.3.4-1) unstable; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.3.4 release

 -- David Prévot <taffit@debian.org>  Sat, 12 Sep 2015 15:02:30 -0400

php-codesniffer (2.3.3-1) unstable; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.3.3 release

 -- David Prévot <taffit@debian.org>  Wed, 24 Jun 2015 13:41:36 -0400

php-codesniffer (2.3.2-1) unstable; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.3.2 release

 -- David Prévot <taffit@debian.org>  Thu, 30 Apr 2015 18:14:08 -0400

php-codesniffer (2.3.1-1) unstable; urgency=medium

  * Upload to unstable since Jessie is being released

  [ Greg Sherwood ]
  * Prepare for 2.3.1 release

 -- David Prévot <taffit@debian.org>  Sat, 25 Apr 2015 11:41:28 -0400

php-codesniffer (2.3.0-1) experimental; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.3.0 release

 -- David Prévot <taffit@debian.org>  Mon, 09 Mar 2015 19:12:55 -0400

php-codesniffer (2.2.0-1) experimental; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.2.0 release

  [ David Prévot ]
  * Update manpage
  * Update copyright

 -- David Prévot <taffit@debian.org>  Thu, 29 Jan 2015 18:28:56 -0400

php-codesniffer (2.1.0-1) experimental; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.1.0 release

 -- David Prévot <taffit@debian.org>  Tue, 23 Dec 2014 10:47:18 -0400

php-codesniffer (2.0.0-1) experimental; urgency=medium

  [ Greg Sherwood ]
  * Prepare for 2.0.0 release

 -- David Prévot <taffit@debian.org>  Fri, 12 Dec 2014 09:46:52 -0400

php-codesniffer (2.0.0~rc4-1) experimental; urgency=medium

  [ Thibaud Fabre ]
  * PHP4 style constructor warning only when __construct() is not declared

  [ Greg Sherwood ]
  * Fixed bug #295 : ScopeIndentSniff hangs when processing nested closures
  * Support for phpcs-only and phpcbf-only attributes has been added to all
    ruleset.xml elements
  * File-wide sniff properties can now be set using T_INLINE_HTML content
    during unit test runs
  * Unit tests can now set command line arguments during a test run
  * Generic ScopeIndentSniff can now fix indents using tabs instead of spaces
  * Generic DisallowSpaceIndentSniff is now able to replace space indents with
    tab indents during fixing
  * Fixed bug #298 : False positive in ScopeIndentSniff when anonymous
    functions are used with method chaining
  * Improved support for single line doc blocks
  * Fixed bug #302 : Fixing code in Squiz InlineComment sniff can remove some
    comment text
  * Fixed bug #303 : Open and close tag on same line can cause a PHP notice
    checking scope indent
  * Running unit tests with the -v CLI argument no longer generates PHP errors
  * Fixed bug #307 : Conditional breaks in case statements get incorrect
    indentions
  * Fixed bug #306 : File containing only a namespace declaration raises
    undefined index notice
  * JS tokenizer now detects xor statements correctly
  * Improved detection of properties and objects in the JS tokenizer
  * Generic MultipleStatementAlignmentSniff no longer skips assignments for
    closures
  * Generic ScopeIndentSniff now checks and auto-fixes JS files
  * Fixed bug #310 : Variadics not recognized by tokenizer
  * Fixed bug #308 : Squiz InlineIfDeclarationSniff fails on ternary operators
    inside closure
  * Prepare for 2.0.0RC4 release

  [ David Prévot ]
  * Simplify DEP-8 tests
  * Drop php-timer from build-dependencies
  * Add php_path to the config file

 -- David Prévot <taffit@debian.org>  Tue, 11 Nov 2014 15:26:20 -0400

php-codesniffer (2.0.0~rc3-1) experimental; urgency=medium

  [ Greg Sherwood ]
  * Generic DisallowTabIndent and DisallowSpaceIndent sniffs now detect
    indents at the start of block comments
  * Generic DisallowTabIndent and DisallowSpaceIndent sniffs now detect
    indents inside multi-line strings
  * Generic DisallowTabIndentSniff now replaces tabs inside doc block comments
  * Improved default output for PHPCBF and removed the option to print verbose
    output
  * Squiz ControlStructureSpacingSniff error codes have been corrected; they
    were reversed
  * Squiz EmbeddedPhpSniff now checks open and close tag indents and fixes
    some errors
  * Generic ScopeIndentSniff has been completely rewritten to improve fixing
    and embedded PHP detection
  * If a .fixed file is supplied for a unit test file, the auto fixes will be
    checked against it during testing
  * Fixer token replacement methods now return TRUE if the change was accepted
    and FALSE if rejected
  * PHPCBF already shows progress, so remove the flag
  * Setting and removing config values now prints a message to confirm the
    action and show old values
  * Squiz FileCommentSniff no longer throws incorrect blank line before
    comment errors in JS files
  * Fixed bug #280 : The --config-show option generates error when there is no
    config file
  * Squiz ClassDeclarationSniff now has better checking for blank lines after
    a closing brace
  * Removed error Squiz.Classes.ClassDeclaration.NoNewlineAfterCloseBrace
    (request #285)
  * Prepare for 2.0.0RC3 release
  * Fixer now uses temporary system files for diffing rather than creating them
    in the current working dir

  [ Ken Guest ]
  * Some enhancements re config data on command line.

 -- David Prévot <taffit@debian.org>  Mon, 20 Oct 2014 21:16:34 -0400

php-codesniffer (2.0.0~rc2-1) experimental; urgency=medium

  [ Greg Sherwood ]
  * Improved closure support in Generic ScopeIndentSniff
  * Improved indented PHP tag support in Generic ScopeIndentSniff
  * Standards can now be located within hidden directories
    (further fix for bug #20323)
  * Fixed incorrect length of JS object operator tokens
  * Exclude patterns now use backticks and work the same for files and sniffs
  * Squiz ConcatenationSpacingSniff now has a setting to specify how many
    spaces there should around concat operators
  * Fixed bug #20373 : Inline comment sniff tab handling way
  * Added fixes for the Squiz InlineCommentSniff
  * Fixed bug #20378 : Report appended to existing file if no errors
    found in run
  * Fixed bug #20377 : Error when trying to execute phpcs with report=json
  * Generic DocCommentSniff now correctly fixes additional blank lines at
    the end of a comment
  * Fixed bug #20381 : Invalid "Comment closer must be on a new line"
  * Squiz OperatorBracketSniff now correctly fixes operations that
    include arrays
  * Zend ClosingTagSniff fix now correctly leaves closing tags when
    followed by HTML
  * Fixed bug #243 : Missing DocBlock not detected
  * PHP tokenizer no longer converts class/function names to special
    tokens types
  * Squiz and PEAR FunctionCommentSnif now support _()
  * PEAR ValidFunctionNameSniff no longer throws an error for _()
  * Fixed bug #248 : FunctionCommentSniff expects ampersand on param name
  * Fixed bug #248 in Squiz sniff as well
  * Fixed bug #20402 : SVN pre-commit hook fails due to unknown argument error
  * Minified JS and CSS files are now detected and skipped
    (fixes bug #252 and bug #19899)
  * Generic DisallowTabIndentSniff now checks for, and fixes,
    mixed indents again
  * Improved fixing of mixed line indents in Generic ScopeIndentSniff
  * PHPCS can now exit with 0 if only warnings were found (request #262)
  * Generic ForbiddenFunctionsSniff now has a public property called
    forbiddenFunctions (request #263)
  * Prepare for 1.5.5 release

  [ Alexey ]
  * Allowed sigle undersored methods and functions

  [ Klaus Purer ]
  * Fixed sniff registration when a hidden directory appears in the path.

  [ Alexander Obuhovich ]
  * Error converted to warning lost it's $fixable flag
  * Adding sniff to verify that only one trait is defined per file

  [ Emily ]
  * Added var_dump to discouraged functions sniff

  [ Blaine Schmeisser ]
  * Add build in PHP syntax check on files.

  [ David Prévot ]
  * Revert "Add XS-Testsuite still needed for ci.d.n"
  * Add self to uploaders
  * Bump standards version to 3.9.6
  * Explicit Git branch in d/control

 -- David Prévot <taffit@debian.org>  Fri, 26 Sep 2014 13:56:12 -0400

php-codesniffer (2.0.0~rc1-1) experimental; urgency=medium

  * Team upload

  [ Greg Sherwood ]
  * PHPCBF will now fix incorrect newline characters in a file
  * Fixed bug #20261 : phpcbf has an endless fixing loop
  * PHPCBF now exists cleanly when there are no errors to fix
  * Removed use of sys_get_temp_dir() as this is not supported by the min PHP
    version
  * Fixed bug #20268 : Incorrect documentation titles in PEAR documentation
  * Generic DisallowSpaceIndent and DisallowTabIndent sniffs now check original
    indent content even when tab-width is set
  * Fixed a problem where PHPCBF could replace tabs with too many spaces when
    changing indents
  * Generic ScopeIndentSniff now accounts for different open tag indents
  * Exclude patterns now use {} delimiters, allowing the | special character to
    work correctly again
  * Forgot that short array token are detected by the tokenizer even on
    unsupported PHP versions
  * The filtering component of the --extensions argument is now ignored again
    when passing filenames
  * Squiz ControlSignatureSniff no longer uses the Abstract Pattern sniff so
    that it can fix these errors
  * Fixed bug #20296 : new array notion in function comma check fails
  * Fixed bug #20310 : PSR2 does not check for space after function name
  * Fixed bug #20309 : Use "member variable" term in sniff "processMemberVar"
    method
  * Fixed bug #20307 : PHP_CodeSniffer_Standards_AbstractVariableSniff analyze
    traits
  * Fixed bug #20308 : Squiz.ValidVariableNameSniff - wrong variable usage
  * Squiz InlineCommentSniff no longer requires a blank line after
    post-statement comments (request #20299)
  * Made uppercase sniff behave the same as lower + unit test fixes + changelog
  * Fixed bug #20322 : Display rules set to type=error even when suppressing
    warnings
  * Invalid sniff codes passed to --sniffs now show a friendly error message
    (request #20313)
  * Generic LineLengthSniff now shows a warning if the iconv module is disabled
    (request #20314)
  * Fixed bug #20323 : PHPCS tries to load sniffs from hidden directories
  * Squiz SelfMemberReferenceSniff now works correctly with namespaces
  * CSS tokenizer now identifies embedded PHP code using the new T_EMBEDDED_PHP
    token type
  * Fixed bug #20346 : Fixer endless loop with Squiz.CSS sniffs
  * Added fixes + checking for single space after keyword so fixes work properly
  * addFixableError() and addFixableWarning() now only return true if the fixer
    is enabled
  * Squiz ArrayDeclarationSniff now supports short array syntax
  * Added addErrorOnLine() and addWarningOnLine() to add a non-fixable violation
    to a line at column 1
  * Squiz FunctionCommentSniff is now more relaxed when checking namespaced
    type hints
  * Verbose option no longer errors when using a phar file with a space in the
    path

  [ Dawid Nowak ]
  * Correct multiline call detection: PSR2_FunctionCallSignatureSniff (string
    with multiple lines doesn't  necessarily mean multiple lines call)

  [ Weston Ruter ]
  * Allow installed_paths to be relative to the phpcs root directory

  [ David Prévot ]
  * Update phpcs.1 and phpcbf.1
  * Refresh patch
  * Add XS-Testsuite still needed for ci.d.n

 -- David Prévot <taffit@debian.org>  Sat, 09 Aug 2014 13:12:46 -0400

php-codesniffer (2.0.0~a2-1) experimental; urgency=medium

  * Team upload
  * Revert "Focus on stable release"
  * Adapt branches for experimental, and upload to experimental
  * Handle alpha releases
  * Add a manpage for PHPCBF
  * Update phpcs.1

 -- David Prévot <taffit@debian.org>  Mon, 21 Jul 2014 18:29:19 -0400

php-codesniffer (1.5.3-1) unstable; urgency=medium

  * Team upload
  * Focus on stable release
  * Update copyright
  * Bump standards version to 3.9.5
  * Update Homepage
  * Use ${phppear:…} instead of hardcoding them
  * Run tests in dh_auto_test
  * Update patch with gbp pq
  * Simplify configuration installation
  * Edit package.xml to move script
  * Add DEP-8 tests

 -- David Prévot <taffit@debian.org>  Mon, 21 Jul 2014 14:42:41 -0400

php-codesniffer (1.5.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patch.
  * Standards-Version is now 3.9.4.
  * Canonical VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2013 15:16:25 +0000

php-codesniffer (1.3.4-1) unstable; urgency=low

  * Adopting the package (Closes: #679251).
  * Fixes path of CodeSniffer.conf in /etc with a patch (Closes: #470294).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Jul 2012 15:11:03 +0000

php-codesniffer (1.3.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #599617, #634825).
  * Swtiched debian/copyright to format 1.0 (rewrite was needed anyway, as the
  upstream license changed).
  * Switched package to pkg-php-tools and debhelper 8 sequencer.
  * Now running unit tests at build time (so depends on phpunit (>= 3.6)).
  * Section is now PHP.
  * Added missing Build-Depends-Indep: php-pear.
  * Added missing ${misc:Depends}.
  * Added Vcs fields.
  * Added homepage field.
  * Reviewed short and long description.
  * Added dependency on php-timer.
  * Standards-Version: is now 3.9.3 (lots of changes, see above...).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 May 2012 16:37:24 +0000

php-codesniffer (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks Jan

 -- Jack Bates <ms419@freezone.co.uk>  Wed, 01 Oct 2008 17:39:43 -0700

php-codesniffer (1.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Depend on php-pear (Closes: #470291)
  * Remove some trailing whitespaces from debian/*

 -- Jan Wagner <waja@cyconet.org>  Fri, 21 Mar 2008 23:29:33 +0100

php-codesniffer (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #465179)

 -- Jack Bates <ms419@freezone.co.uk>  Thu, 07 Feb 2008 10:29:15 -0800
